Remove a file from an event you run
DELETE /api/member/events/{eventId}/assets/{assetId}. Remove a file from an event you run. Headless LMS Events API reference.
Requires events:write. The library file itself survives. Returns the event's files.
Path Parameters
eventId*string
assetId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/member/events/string/assets/string"[ { "orgId": "string", "id": "string", "eventId": "string", "assetId": "string", "seq": -9007199254740991, "displayName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "filename": "string", "contentType": "string", "size": 0, "url": "string" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Set a file's display name within an event you run PATCH
PATCH /api/member/events/{eventId}/assets/{assetId}. Set a file's display name within an event you run. Headless LMS Events API reference.
Register for an event POST
POST /api/member/events/{eventId}/register. Register for an event. Headless LMS Events API reference.